Loading...
Searching...
No Matches
AioArgs Struct Reference

small struct for aio API callbacks More...

Collaboration diagram for AioArgs:

## Public Member Functions

| AioArgs (XrdSfsAio *a, AioCB *b, size_t n, int _fd, ceph::bufferlist *_bl=0)

## Public Attributes

XrdSfsAio * | aiop
ceph::bufferlist * | bl
AioCB * | callback
int | fd
size_t | nbBytes
::timeval | startTime

## Detailed Description

small struct for aio API callbacks

Definition at line 66 of file XrdCephPosix.cc.

## Constructor & Destructor Documentation

## AioArgs()

AioArgs::AioArgs | ( | XrdSfsAio * | a,
|  | AioCB * | b,
|  | size_t | n,
|  | int | _fd,
|  | ceph::bufferlist * | _bl = 0 )

inline

Definition at line 67 of file XrdCephPosix.cc.

:
aiop(a), callback(b), nbBytes(n), fd(_fd), bl(_bl) { ::gettimeofday(&startTime, nullptr); }
AioArgs::nbBytes
size_t nbBytes
Definition XrdCephPosix.cc:71
AioArgs::startTime
::timeval startTime
Definition XrdCephPosix.cc:73
AioArgs::fd
int fd
Definition XrdCephPosix.cc:72
AioArgs::callback
AioCB * callback
Definition XrdCephPosix.cc:70
AioArgs::aiop
XrdSfsAio * aiop
Definition XrdCephPosix.cc:69
AioArgs::bl
ceph::bufferlist * bl
Definition XrdCephPosix.cc:74

References aiop, bl, callback, fd, nbBytes, and startTime.

## Member Data Documentation

## aiop

XrdSfsAio* AioArgs::aiop

Definition at line 69 of file XrdCephPosix.cc.

Referenced by AioArgs(), ceph_aio_read_complete(), and ceph_aio_write_complete().

## bl

ceph::bufferlist* AioArgs::bl

Definition at line 74 of file XrdCephPosix.cc.

Referenced by AioArgs(), and ceph_aio_read_complete().

## callback

AioCB* AioArgs::callback

Definition at line 70 of file XrdCephPosix.cc.

Referenced by AioArgs(), ceph_aio_read_complete(), and ceph_aio_write_complete().

## fd

int AioArgs::fd

Definition at line 72 of file XrdCephPosix.cc.

Referenced by AioArgs(), ceph_aio_read_complete(), and ceph_aio_write_complete().

## nbBytes

size_t AioArgs::nbBytes

Definition at line 71 of file XrdCephPosix.cc.

Referenced by AioArgs(), and ceph_aio_write_complete().

## startTime

::timeval AioArgs::startTime

Definition at line 73 of file XrdCephPosix.cc.

Referenced by AioArgs(), and ceph_aio_write_complete().

The documentation for this struct was generated from the following file:

- XrdCephPosix.cc